#!/bin/sh

port=$1
[ -z "$port" ] && port="8888"

ps -A | grep '\bserver.pl\b' >/dev/null 2>&1 
if (( !$? ))
then
	echo "    Server is already running."
	exit 0
fi

cd `dirname $0`/../webui
./server.pl $port >./server.log.$port 2>&1 &
echo "    Server started. Log file location:"
echo "    "`pwd`"/server.log.$port"

exit 0
